Subject: RE: How to configure/install gcc
From: [email-masked] (Mark Keates)

12 Nov 1998 05:12:13 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed;
	boundary="---- =_NextPart_000_01BE0D64.0E6FF140"
To: "[email-masked]" <IMCEAX400-c=GB+3Ba=+20+3Bp=DENDRITE+20INTERNA+3Bo=UK+3Bdda+3ASMTP=[email-masked]>

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

------ =_NextPart_000_01BE0D64.0E6FF140
Content-Type: text/plain

I am running Beta19 under Win95 and would also like to be able to build
gcc from the gcc-2.8.1 sources.

I have DJGPP installed, but presumably this is NOT what I want to build
the new compiler with. When I have tried before with this, running the
gcc's configure script is fine, generating the Makefile, but upon
running make the first gcc command to build an object file from a C file
(the command is broken across lines with a \ at the end of each line)
fails because it thinks no files have been specified on the command
line. Do you know if this is a bug with the shell or the DJGPP gcc?

The alternative I could try is to use VC++5. I've tried typing 'export
CC=cl' before running configure, however, this reports that CL can't
build executables and stops. Can this be worked around?

Failing all this, is there a packaged gcc compiler (+ ar, ranlib etc)
already built and available for download?

Many thanks,

Mark.

> ----------
> From: 	jdn[SMTP:[email-masked]]
> Sent: 	09 November 1998 21:38
> To: 	cygwin win-32
> Subject: 	How to configure/install gcc
> 
> I'm running Beta20 on both Win98 and WinNT4/SP4, though I am focusing
> on the
> NT box for now.
> 
> When I try and configure programs in order to be made and installed, I
> get
> various errors relating to gcc, saying it doesn't work.  Obviously, I
> need
> to (re)configure/install it, and the documentation provided in my
> \usr\egcs-1.1b\gcc folder is a bit confusing to me.  I can't
> "./configure"
> then "make" gcc, because it seems to be looking for it.
> 
> Should I set the CC variable to something else?  What is the compiler
> that
> comes with Beta20 anyway?
> 
> As you can tell, I'm a bit new at this, so I would appreciate any
> information you might share with me.
> 
> Thanks.
> 
> jdn
> 
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
> 

------ =_NextPart_000_01BE0D64.0E6FF140
Content-Type: application/ms-tnef
Content-Transfer-Encoding: base64

------ =_NextPart_000_01BE0D64.0E6FF140--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".